Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QFileDialog.FileMode

    java.lang.Object
      java.lang.Enum<QFileDialog.FileMode>
          com.trolltech.qt.gui.QFileDialog.FileMode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QFileDialog.FileMode>

Enclosing class:
  QFileDialog

    public static enum QFileDialog.FileMode

extends java.lang.Enum<QFileDialog.FileMode>
implements QtEnumerator

This enum is used to indicate what the user may select in the file dialog; i.e. what the dialog will return if the user clicks OK.

See Also:
  `setFileMode`

Enum Constant Summary
`AnyFile` The name of a file, whether it exists or not.
`Directory` The name of a directory.
`DirectoryOnly` The name of a directory.
`ExistingFile` The name of a single existing file.
`ExistingFiles` The names of zero or more existing files.

Method Summary
`static QFileDialog.FileMode` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QFileDialog.FileMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QFileDialog.FileMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AnyFile

    public static final QFileDialog.FileMode AnyFile

  The name of a file, whether it exists or not.

### ExistingFile

    public static final QFileDialog.FileMode ExistingFile

  The name of a single existing file.

### Directory

    public static final QFileDialog.FileMode Directory

  The name of a directory. Both files and directories are displayed.

### ExistingFiles

    public static final QFileDialog.FileMode ExistingFiles

  The names of zero or more existing files.

### DirectoryOnly

    public static final QFileDialog.FileMode DirectoryOnly

  The name of a directory. The file dialog will only display directories.

Method Detail

### values

    public static final QFileDialog.FileMode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QFileDialog.FileMode c : QFileDialog.FileMode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QFileDialog.FileMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QFileDialog.FileMode resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD